'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var styled = require('styled-components');
var styled__default = _interopDefault(styled);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var Root = styled__default.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: 0;\n  outline: 0;\n  cursor: pointer;\n  padding: 10px 20px;\n  letter-spacing: 0.5px;\n  background-color: ", ";\n  color: ", ";\n  font-size: ", ";\n"], ["\n  border: 0;\n  outline: 0;\n  cursor: pointer;\n  padding: 10px 20px;\n  letter-spacing: 0.5px;\n  background-color: ",
    ";\n  color: ", ";\n  font-size: ", ";\n"])), function (p) {
    return p.color ? p.theme.colors.brand[p.color] : "black";
}, function (p) { return p.theme.colors.general.white; }, function (p) { return (p.size ? p.theme.font.size[p.size] : "18px"); });
var templateObject_1;

var Button = function (_a) {
    var children = _a.children, color = _a.color, size = _a.size;
    return (React.createElement(Root, { color: color, size: size }, children));
};

var theme = {
    font: {
        family: "'Open Sans', sans-serif",
        weight: {
            light: "300",
            normal: "400",
            bold: "600",
        },
        size: {
            tiny: "11px",
            xxs: "13px",
            xs: "14px",
            sm: "16px",
            md: "18px",
            lg: "20px",
            xl: "34px",
        },
    },
    colors: {
        brand: {
            primary: "#1890ff",
            secondary: "#13c2c2",
            success: "#52c41a",
            warning: "#faad14",
            error: "#f5222d",
            info: "#18c5ff",
        },
        general: {
            textSecondary: "#8c8c8c",
            border: "#bfbfbf",
            link: "#1890ff",
            text: "#595959",
            white: "#fff",
        },
        grey: {
            5: "#ffffff",
            10: "#fafafa",
            20: "#f5f5f5",
            30: "#e8e8e8",
            40: "#d9d9d9",
            50: "#bfbfbf",
            60: "#8c8c8c",
            70: "#595959",
            80: "#262626",
            90: "#000000",
        },
    },
};

var changeTheme = (function (theme, defaultTheme) {
    var customTheme;
    if (theme) {
        if (!theme.hasOwnProperty("brand")) {
            console.error("Please use `brand` as an object name ");
        }
        customTheme = __assign(__assign({}, defaultTheme), { colors: {
                brand: __assign(__assign({}, defaultTheme["colors"].brand), theme["brand"]),
                general: defaultTheme["colors"].general,
            } });
    }
    return customTheme;
});

var ThemeProvider = function (_a) {
    var children = _a.children, theme$1 = _a.theme;
    return (React.createElement(styled.ThemeProvider, { theme: changeTheme(theme$1, theme) || theme }, children));
};

exports.Button = Button;
exports.ThemeProvider = ThemeProvider;
//# sourceMappingURL=index.js.map
