export declare type FontWeight = "light" | "normal" | "bold";
export declare type FontSize = "tiny" | "xxs" | "xs" | "sm" | "md" | "lg" | "xl";
export declare type GreyColors = 5 | 10 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90;
export declare type BrandColors = "primary" | "secondary" | "error" | "warning" | "success" | "info";
export declare type GeneralColors = "link" | "text" | "textSecondary" | "border" | "white";
interface IFont {
    family: string;
    size: {
        [key in FontSize]: string;
    };
    weight: {
        [key in FontWeight]: string;
    };
}
export interface IColors {
    grey: {
        [key in GreyColors]: string;
    };
    general: {
        [key in GeneralColors]: string;
    };
    brand: {
        [key in BrandColors]: string;
    };
}
export interface Theme {
    font: IFont;
    colors: IColors;
}
declare const theme: Theme;
export default theme;
